#    This file is part of Tal4Rdf <http://champin.net/t4r/>
#    Copyright (C) 2008 Pierre-Antoine Champin <pchampin@liris.cnrs.fr>
#
#    Tal4Rdf is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Lesser General Public License as published
#    by the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    Tal4Rdf is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public License
#    along with Tal4Rdf.  If not, see <http://www.gnu.org/licenses/>.

"""
Tal4Rdf: RDF graph presentation using TAL templates.
"""

__version__ = "0.3"

from StringIO import StringIO

from t4r.tal import render_template, add_info, \
                    T4rGraphParsingError, T4rTemplateParsingError

def make_typed_stream(content, content_type):
    """
    Builds a file-like object with additional info from a string.

    The resulting object is suitable for use with `render_graph_template` and
    `render_resource_template`.

    Note that content must be a str, encoded in a consistent way with the given
    content_type.
    """
    assert isinstance(content, str)
    r = StringIO(content)
    add_info(r, content_type)
    return r

render_template = render_template # make it importable

T4rGraphParsingError = T4rGraphParsingError # make it importable

T4rTemplateParsingError = T4rTemplateParsingError # it them importable
